using UnityEngine; 

public abstract class InteractableObject : MonoBehaviour
{
    public abstract void OnInteract(Entity caller); 

    public virtual void Start()
    {
        InteractibleManager.Instance.Register(this); 
    }

}